Subject: [Spits] High compression pistons and smog test

From: Hans <[email-masked]>
Date: Sun, 25 Aug 2013 17:14:21 -0700

I am rebuilding my California  1976 spitfire's engine and considering using
Moss's HC flat top pistons instead of the LC (dished) ones. I have been told
that I risk failing the NOx  smog test max requirement. I understand that this
is due to the combustion chamber's temperature potentially exceeding 2500
degrees , which generates NOx. Assuming the EGR to function perfectly and the
fuel mixture to a bit rich, is this still potentially a high risk problem?
There must be a few a guys out there that have been tempted to do this to get
the nearly 20 extra  hp. That is so badly needed.
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive